package impl

import (
	"go.uber.org/dig"
	"gxt-file-server/app/bll"
	"gxt-file-server/app/bll/impl/internal"
)

func Inject(container *dig.Container) {
	_ = container.Provide(internal.NewTrans)
	_ = container.Provide(func(b *internal.Trans) bll.ITrans { return b })
	_ = container.Provide(internal.NewDemo)
	_ = container.Provide(func(b *internal.Demo) bll.IDemo { return b })
	_ = container.Provide(internal.NewFile)
	_ = container.Provide(func(b *internal.File) bll.IFile { return b })
	_ = container.Provide(internal.NewFileChunk)
	_ = container.Provide(func(b *internal.FileChunk) bll.IFileChunk { return b })
}
